# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::A3DSTriFace Class Reference

The A3DSTriFace class represents a triangle in a 3DS file. More...

`#include <vl3DS.hpp>`

List of all members.

## Public Member Functions

| A3DSTriFace ()

## Public Attributes

unsigned short | mA
unsigned short | mB
unsigned short | mC
unsigned short | mFlags
unsigned int | mSmoothingGroup
int | mMaterialIndex

## Detailed Description

The A3DSTriFace class represents a triangle in a 3DS file.

Definition at line 132 of file vl3DS.hpp.

## Constructor & Destructor Documentation

vl::A3DSTriFace::A3DSTriFace | ( | ) | `[inline]`

Definition at line 135 of file vl3DS.hpp.

## Member Data Documentation

unsigned short vl::A3DSTriFace::mA

Definition at line 137 of file vl3DS.hpp.

unsigned short vl::A3DSTriFace::mB

Definition at line 137 of file vl3DS.hpp.

unsigned short vl::A3DSTriFace::mC

Definition at line 137 of file vl3DS.hpp.

unsigned short vl::A3DSTriFace::mFlags

Definition at line 137 of file vl3DS.hpp.

unsigned int vl::A3DSTriFace::mSmoothingGroup

Definition at line 138 of file vl3DS.hpp.

int vl::A3DSTriFace::mMaterialIndex

Definition at line 139 of file vl3DS.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/vl3DS.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:43.
Permission is granted to use this page to write and publish articles regarding Visualization Library.